Fix the invalid warning message when user add a module that does not support platform...